<app-loading *ngIf="isLoading"></app-loading>
<formAssessment nz-formAssessment [formGroup]="formAssessment">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="12" nzLg="12">
      <mb-input-text formControlName="pcfCode"
        [mbDisable]="(mode === 1 && formAssessment.get('pcfCode').value) ? true : false"
        [mbType]="isSubmitted && (formAssessment.controls['pcfCode'].errors || formAssessment.errors?.noAllowSpace) ? 'error' : 'default'"
        [mbShowError]="isSubmitted && (formAssessment.controls['pcfCode'].errors || formAssessment.errors?.noAllowSpace) !== null"
        [mbErrors]="formAssessment.controls['pcfCode'].errors" [mbErrorDefs]="[
        { errorName: 'maxlength', errorDescription: 'targerManager.validate.customMaxLength'
        | translate: {'paramName': 'targerManager.setupAssessment.assessmentCode' | translate, 'numberLength': '50' | translate}},
        { errorName: 'required', errorDescription: 'goaManagement.validate.required'
        | translate: {'param': 'targerManager.setupAssessment.assessmentCode' | translate }},
        { errorName: 'noAllowSpace', errorDescription: 'goaManagement.validate.required'
        | translate: {'param': 'targerManager.setupAssessment.assessmentCode' | translate }},
        { errorName: 'pcfCode', errorDescription: 'goaManagement.validate.code' | translate }]"
        mbPlaceholderText="{{'targerManager.common.input.placeholderInput' | translate}}"
        mbLabelText="{{'targerManager.setupAssessment.assessmentCode' | translate}} <span class='label__required'>*</span>">
      </mb-input-text>
    </div>
    <div nz-col nzXs="12" nzLg="12">
      <mb-input-text formControlName="pcfName"
        [mbType]="isSubmitted && (formAssessment.controls['pcfName'].errors || formAssessment.errors?.noAllowSpacePcName) ? 'error' : 'default'"
        [mbShowError]="isSubmitted && (formAssessment.controls['pcfName'].errors || formAssessment.errors?.noAllowSpacePcName) !== null"
        [mbErrors]="formAssessment.controls['pcfName'].errors" [mbErrorDefs]="[
        { errorName: 'maxlength', errorDescription: 'targerManager.validate.customMaxLength'
        | translate: {'paramName': 'targerManager.setupAssessment.assessmentName' | translate, 'numberLength': '200' | translate}},
       { errorName: 'pcfName', errorDescription: 'goaManagement.validate.code' | translate },
       { errorName: 'required', errorDescription: 'goaManagement.validate.required'
       | translate: {'param': 'targerManager.setupAssessment.assessmentName' | translate }},
       { errorName: 'noAllowSpacePcName', errorDescription: 'goaManagement.validate.required'
       | translate: {'param': 'targerManager.setupAssessment.assessmentName' | translate }},
       ]" mbPlaceholderText="{{'targerManager.common.input.placeholderInput' | translate}}"
        mbLabelText="{{'targerManager.setupAssessment.assessmentName' | translate}} <span class='label__required'>*</span>"
        >
      </mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select [mbDataSelects]="mbDataSelectsAssessmentCycle"
        [mbType]="isSubmitted && formAssessment.controls['cycleType'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && formAssessment.controls['cycleType'].errors !== null"
        [mbErrors]="formAssessment.controls['cycleType'].errors" mbKeyLabel="lvaMean" mbKeyValue="lvaValue"
        [mbErrorDefs]="[
        { errorName: 'required', errorDescription: 'goaManagement.validate.required'
        | translate: {'param': 'targerManager.setupAssessment.assessmentCycle' | translate }},]"
        mbPlaceholder="{{'targerManager.common.input.placeholderInput' | translate}}"
        mbLabelText="{{'targerManager.setupAssessment.assessmentCycle' | translate}} <span class='label__required'>*</span>"
        formControlName="cycleType"></mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text formControlName="initialNum" appNumberInput
        [mbType]="isSubmitted && formAssessment.controls['initialNum'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && formAssessment.controls['initialNum'].errors !== null"
        [mbErrors]="formAssessment.controls['initialNum'].errors"
        [mbErrorDefs]="[
        { errorName: 'min', errorDescription: 'targerManager.validate.min'
        | translate: {'param': 'targerManager.setupAssessment.label.table.initialDate' | translate }},
        { errorName: 'required', errorDescription: 'goaManagement.validate.required'
        | translate: {'param': 'targerManager.setupAssessment.label.table.initialDate' | translate }},
        { errorName: 'pattern', errorDescription: 'goaManagement.validate.format'
        | translate: {'param': 'targerManager.setupAssessment.label.table.initialDate' | translate }}]"
        mbPlaceholderText="{{'targerManager.common.input.placeholderInput' | translate}}"
        mbLabelText="{{'targerManager.setupAssessment.label.table.initialDate' | translate}} <span class='label__required'>*</span>">
      </mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-date-picker
        [mbType]="isSubmitted && (formAssessment.controls['fromDate'].errors || formAssessment.errors?.validRangeToCurrentDate1) ? 'error' : 'default'"
        [mbShowError]="isSubmitted && (formAssessment.controls['fromDate'].errors || formAssessment.errors?.validRangeToCurrentDate1) !== null"
        [mbErrors]="formAssessment.errors?.validRangeToCurrentDate1 ? formAssessment.errors : formAssessment.controls['fromDate'].errors"
        [mbErrorDefs]="[
        { errorName: 'required', errorDescription: 'goaManagement.validate.required'
        | translate: {'param': 'targerManager.setupAssessment.label.table.fromDate' | translate }},
        { errorName: 'validRangeToCurrentDate1', errorDescription: 'targerManager.validate.validRangeToCurrentDate'
        | translate : {'fromDate': 'targerManager.setupAssessment.label.table.fromDate' | translate }},
        ]"
        mbPlaceholderText="{{'targerManager.common.input.placeholderInput' | translate}}"
        mbLabelText="{{'targerManager.setupAssessment.label.table.fromDate' | translate}} <span class='label__required'>*</span>"
        formControlName="fromDate"></mb-date-picker>
    </div>

    <div nz-col nzXs="24" nzLg="12">
        <mb-date-picker
            [mbType]="isSubmitted && (formAssessment.errors?.rangeDateError1) ? 'error' : 'default'"
            [mbShowError]="isSubmitted && (formAssessment.errors?.rangeDateError1) !== null"
            [mbErrors]="formAssessment.errors?.rangeDateError1 && formAssessment.errors"
            [mbErrorDefs]="[

        { errorName: 'rangeDateError1', errorDescription: 'goaManagement.validate.rangeDate.pareDateMore' | translate:
        {'fromDate': 'targerManager.setupAssessment.label.table.fromDate'
        | translate, 'toDate': 'targerManager.setupAssessment.label.table.toDate' | translate}}
        ]" mbPlaceholderText="{{'targerManager.common.input.placeholderInput' | translate}}"
            mbLabelText="{{'targerManager.setupAssessment.label.table.toDate' | translate}}"
            formControlName="toDate"></mb-date-picker>
<!--        <mb-date-picker-->
<!--            [mbType]="isSubmitted && (formAssessment.controls['toDate'].errors || formAssessment.errors?.rangeDateError1) ? 'error' : 'default'"-->
<!--            [mbShowError]="isSubmitted && (formAssessment.controls['toDate'].errors || formAssessment.errors?.rangeDateError1) != null"-->
<!--            [mbErrors]="formAssessment.errors?.rangeDateError1 ? formAssessment.errors : formAssessment.controls['toDate'].errors"-->
<!--            [mbErrorDefs]="[-->
<!--        { errorName: 'required', errorDescription: 'goaManagement.validate.required'-->
<!--        | translate: {'param': 'targerManager.setupAssessment.label.table.toDate' | translate }},-->
<!--        { errorName: 'rangeDateError1', errorDescription: 'goaManagement.validate.rangeDate.pareDateMore' | translate:-->
<!--        {'fromDate': 'targerManager.setupAssessment.label.table.fromDate'-->
<!--        | translate, 'toDate': 'targerManager.setupAssessment.label.table.toDate' | translate}}-->
<!--        ]" mbPlaceholderText="{{'targerManager.common.input.placeholderInput' | translate}}"-->
<!--            mbLabelText="{{'targerManager.setupAssessment.label.table.toDate' | translate}} <span class='label__required'>*</span>"-->
<!--            formControlName="toDate"></mb-date-picker>-->
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text formControlName="editableNum" appNumberInput
        [mbType]="isSubmitted && formAssessment.controls['editableNum'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && formAssessment.controls['editableNum'].errors !== null"
        [mbErrors]="formAssessment.controls['editableNum'].errors" [mbErrorDefs]="[
          { errorName: 'min', errorDescription: 'targerManager.validate.min'
          | translate: {'param': 'targerManager.setupAssessment.label.table.editableDate' | translate }},
          { errorName: 'pattern', errorDescription: 'goaManagement.validate.format'
          | translate: {'param': 'targerManager.setupAssessment.label.table.editableDate' | translate }},
          { errorName: 'required', errorDescription: 'goaManagement.validate.required'
          | translate: {'param': 'targerManager.setupAssessment.label.table.editableDate' | translate }},
        ]" mbPlaceholderText="{{'targerManager.common.input.placeholderInput' | translate}}"
        mbLabelText="{{'targerManager.setupAssessment.label.table.editableDate' | translate}} <span class='label__required'>*</span>">
      </mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text formControlName="finishNum" appNumberInput
        [mbType]="isSubmitted && formAssessment.controls['finishNum'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && formAssessment.controls['finishNum'].errors !== null"
        [mbErrors]="formAssessment.controls['finishNum'].errors"
        [mbErrorDefs]="[
          { errorName: 'min', errorDescription: 'targerManager.validate.min'
          | translate: {'param': 'targerManager.setupAssessment.label.table.finishDate' | translate }},
          { errorName: 'required', errorDescription: 'goaManagement.validate.required'
          | translate: {'param': 'targerManager.setupAssessment.label.table.finishDate' | translate }},
          { errorName: 'pattern', errorDescription: 'goaManagement.validate.format'
          | translate: {'param': 'targerManager.setupAssessment.label.table.finishDate' | translate }}]"
        mbPlaceholderText="{{'targerManager.common.input.placeholderInput' | translate}}"
        mbLabelText="{{'targerManager.setupAssessment.label.table.finishDate' | translate}} <span class='label__required'>*</span>">
      </mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select formControlName="isLoopAble" [mbDataSelects]="mbDataSelectsAssessmentIsLoopAble" [mbShowSearch]="false"
        mbLabelText="{{'targerManager.setupAssessment.label.table.isLoopAble' | translate}} <span class='label__required'>*</span>">
      </mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select formControlName="flagStatus" [mbDataSelects]="mbDataSelectsAssessmentStatus" [mbShowSearch]="false"
        mbLabelText="{{'targerManager.setupAssessment.flagStatus' | translate}} <span class='label__required'>*</span>">
      </mb-select>
    </div>
  </div>
</formAssessment>
